Subject: Re: bug#25380: 25.1; save-window-excursion problem in batch mode

From: martin rudalics <[email-masked]>
Date: Mon, 09 Jan 2017 10:39:36 +0100

>> Apparently, restoring a window configuration doesn't result in the same
 >> window configuration in batch mode:
 >>
 >> $ emacs -Q -batch -eval '(print (equal (save-window-excursion (current-window-configuration)) (current-window-configuration)))'
 >>
 >> nil
 >
 > It works in 24.5 and earlier. Something to do with window-edges?
 >
 > emacs -Q -batch --eval '(progn (setq c (current-window-configuration))
 > (print (window-edges))
 > (set-window-configuration c)
 > (print (window-edges)))'
 >
 > 24.5:
 > (0 1 10 9)
 > (0 1 10 9)
 >
 > 25.1:
 > (0 0 10 9)
 > (0 1 10 10)

IIUC the pixel comes from a menubar line which gets spuriously added.
If someone told me how to debug this, I might be able to tell more.  I
have no idea how the frame seen by ‘current-window-configuration’ gets
created in batch mode.  I never use batch mode.

martin